# msvpvf
C port of [msvpvf](https://archive.org/details/msvpvf-1.3-movie-studio-vegas-pro-version-faker-msvpvf-updated-to-1.31-focus-on-vegas)

## What is this??
msvpvf is a tool used to "downgrade" VEGAS Pro project files, written entirely
in C.

It is based on an old tool under the same name that was written in C#/.NET,
but it's horribly slow for what it does (set some magic bytes at some offsets)

# Compatibility
There are 3 generations of modern Vegas project files:

Gen 1      | Gen 2       | Gen 3 onwards |
---------- | ----------- | ------------- |
8.0 - 11.0 | 12.0 - 14.0 | 15.0 - ???    |

I haven't used any Vegas version after 14, so I have no idea if this even works
for newer versions anymore.

## Compilation
```
git clone https://github.com/mrpapersonic/msvpvf
cd msvpvf

# CLI (macos/linux, unicode filenames are unsupported on Windows)
make

# windows GUI application
# set the two UNICODE flags to 0 or 1 for ANSI and Unicode respectfully
make gui CFLAGS="-DUNICODE=0 -D_UNICODE=0"
```

NOTE: if you are using Windows, there is a GUI available. To compile it, use `make gui`.
